Subject: [PATCH v16 1/6] efi: ARM/arm64: ignore DT memory nodes instead of removing them

From: [email-masked] (Will Deacon)
Date: Fri, 15 Apr 2016 15:08:38 +0100

On Fri, Apr 15, 2016 at 04:06:08PM +0200, Ard Biesheuvel wrote:
> On 15 April 2016 at 16:03, Will Deacon <[email-masked]> wrote:
> > On Fri, Apr 08, 2016 at 03:50:23PM -0700, David Daney wrote:
> >> From: Ard Biesheuvel <[email-masked]>
> >>
> >> There are two problems with the UEFI stub DT memory node removal
> >> routine:
> >> - it deletes nodes as it traverses the tree, which happens to work
> >>   but is not supported, as deletion invalidates the node iterator;
> >> - deleting memory nodes entirely may discard annotations in the form
> >>   of additional properties on the nodes.
> >>
> >> Since the discovery of DT memory nodes occurs strictly before the
> >> UEFI init sequence, we can simply clear the memblock memory table
> >> before parsing the UEFI memory map. This way, it is no longer
> >> necessary to remove the nodes, so we can remove that logic from the
> >> stub as well.
> >>
> >> Signed-off-by: Ard Biesheuvel <[email-masked]>
> >> Signed-off-by: David Daney <[email-masked]>
> >> ---
> >>  drivers/firmware/efi/arm-init.c    |  8 ++++++++
> >>  drivers/firmware/efi/libstub/fdt.c | 24 +-----------------------
> >>  2 files changed, 9 insertions(+), 23 deletions(-)
> >
> > Matt, are you ok with me taking this through the arm64 tree? (since the
> > NUMA patches depend on it). If so, please can I have your ack?
> >
> 
> Matt gave his Reviewed-by for v15
> 
> http://www.gossamer-threads.com/lists/linux/kernel/2390242

Brill, thanks. Looks like it got dropped by accident for the latest posting.

Will